//
//  MasterViewController.m
//  ScaryBugs
//
//  Created by Main Account on 10/31/13.
//  Copyright (c) 2013 Razeware LLC. All rights reserved.
//

#import "MasterViewController.h"
#import "DetailViewController.h"
#import "ScaryBugCell.h"

@implementation MasterViewController


// Challenge Instructions
//
// Your challenge is to first install the chisel library from either Github or Homebrew
// You can download the file from github over here: https://github.com/facebook/chisel
// You can also install via. brew. If you need to install homebrew, you can find it over here: http://brew.sh/

// Once you have installed the program, first run help on all the commands, then
// use this app as a test bed for each of those commands to see how you can use it in your
// own project.

// Challenge Solution

// (lldb) help -a

// (lldb) help bmessage
// (lldb) help border
// (lldb) help caflush
// (lldb) help fa11y
// (lldb) help flicker
// (lldb) help fv
// (lldb) help fvc
// (lldb) help hide
// (lldb) help mask
// (lldb) help panim
// (lldb) help pca
// (lldb) help pcells
// (lldb) help pclass
// (lldb) help pinternals
// (lldb) help pinvocation
// (lldb) help pivar
// (lldb) help presponder
// (lldb) help ptv
// (lldb) help pvc
// (lldb) help pviews
// (lldb) help show
// (lldb) help taplog
// (lldb) help unborder
// (lldb) help unmask
// (lldb) help visualize
// (lldb) help vs
// (lldb) help wivar

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.bugs.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    ScaryBugCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];

    ScaryBug * bug = [self.bugs objectAtIndex:indexPath.row];
    cell.bugTitleLabel.text = bug.name;
    cell.bugImageView.image = bug.image;
    cell.bugSubtitleLabel.text = [NSString stringWithFormat:@"Scary Factor: %d/5", (int) bug.howScary];
    cell.bugScaryImage.hidden = bug.howScary != 5;
    
    return cell;
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if (([segue.identifier isEqualToString:@"showDetail"])) {
        DetailViewController * detailViewController = (DetailViewController *) 
          segue.destinationViewController;
        NSIndexPath * selectedIndex = self.tableView.indexPathForSelectedRow;
        ScaryBug * bug = self.bugs[selectedIndex.row];
        detailViewController.bug = bug;
    }
}

- (void)viewWillAppear:(BOOL)animated {
    [self.tableView reloadData];
}

@end
